%global npm_name forever-agent

Summary:       HTTP Agent that keeps socket connections alive
Name:          nodejs-%{npm_name}
Version:       0.6.1
Release:       1%{?dist}
License:       ASL 2.0
URL:           https://github.com/mikeal/forever-agent
Source0:       http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
ExclusiveArch: %{nodejs_arches} noarch
BuildArch:     noarch
Provides:      nodejs-%{npm_name} = %{version}

%description
HTTP Agent that keeps socket connections alive between keep-alive 
requests. Formerly part of mikeal/request, now a standalone module.

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr index.js package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%files
%doc LICENSE README.md
%{nodejs_sitelib}/%{npm_name}

%changelog
* Thu Sep 10 2015 Troy Dawson <tdawson@redhat.com> - 0.6.1-1
- Initial package
